#!/usr/bin/python

# heegner_bound_table.py
# William Stein, 2002

import mfd, time

n = 5

t0 = time.time()
for N in range(1848,3000):
    M = mfd.ModSym(N,2)
    print "M = ", M
    for E in M.get_iso_classes():
        if E.dimension() == 1:
            t = time.time()
            print "E = ", E
            E.compute_heegner_heights(n)
            print "time =", time.time()-t, " seconds"

print "total time = ", time.time()-t0
